import nautilus
from gtk import MessageDialog, BUTTONS_CLOSE

class MyFileExtension(nautilus.MenuProvider):
    def __init__(self):
        # The constructor must be exists, even if there is nothing
        # to initialize
        pass

    def show_files(self, menu, files):
        # This is the method invoked when our extension is activated
        # Do whatever you want to do with the files selected
        if len(files) == 1:
            primary_text = '<b>The file selected is:</b>'
        else:
            primary_text = '<b>The files selected are:</b>'

        names = [file.get_name() for file in files]

        dialog = MessageDialog(buttons=BUTTONS_CLOSE)
        dialog.set_markup(primary_text)
        dialog.format_secondary_text(', '.join(names))
        dialog.run()
        dialog.destroy()
        
    def get_file_items(self, window, files):
        # If we have files selected, we will add a menu entry
        if len(files) == 0:
            return

        item = nautilus.MenuItem('MyFileExtension::show_files',
                                 'Show selected files' ,
                                 'Show the selected files in a message dialog')
        item.connect('activate', self.show_files, files)

        return item,

# vi:set ts=4 sw=4 expandtab:
