import nautilus
from gtk import MessageDialog, BUTTONS_CLOSE
from urllib import unquote

class MyBackgroundExtension(nautilus.MenuProvider):
    def __init__(self):
        # The constructor must be exists, even if there is nothing
        # to initialize
        pass

    def showme(self, menu, file):
        # This is the method invoked when our extension is activated
        filename = unquote(file.get_uri()[7:])

        dialog = MessageDialog(buttons=BUTTONS_CLOSE)
        dialog.set_markup('<b>I am browsing:</b>')
        dialog.format_secondary_text(filename)
        dialog.run()
        dialog.destroy()
        
    def get_background_items(self, window, file):
        item = nautilus.MenuItem('MyBackgroundExtension::showme',
                                 'Where am I?' ,
                                 'Show where I am located in my computer')
        item.connect('activate', self.showme, file)

        return item,

# vi:set ts=4 sw=4 expandtab:
