import nautilus
import gtk
from urllib import unquote

class MyToolbarExtension(nautilus.MenuProvider):
    def __init__(self):
        # The constructor must be exists, even if there is nothing
        # to initialize
        pass

    def showme(self, menu, file):
        # This is the method invoked when our extension is activated
        filename = unquote(file.get_uri()[7:])

        dialog = gtk.MessageDialog(buttons=gtk.BUTTONS_CLOSE)
        dialog.set_markup('<b>I am browsing:</b>')
        dialog.format_secondary_text(filename)
        dialog.run()
        dialog.destroy()
        
    def get_toolbar_items(self, window, file):
        item = nautilus.MenuItem('MyToolbarExtension::showme',
                                 'Where am I?' ,
                                 'Show where I am located in my computer',
                                 gtk.STOCK_DIALOG_INFO)
        item.connect('activate', self.showme, file)

        return item,

# vi:set ts=4 sw=4 expandtab:
